### Method

# RB PlaylistManager delete_playlist

#### Declaration [src]

    gboolean
    rb_playlist_manager_delete_playlist (
      RBPlaylistManager* mgr,
      const gchar* name,
      GError** error
    )

#### Description [src]

Deletes the specified playlist. Will fail if no playlist with that name exists. This is part of the playlist manager dbus interface.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the playlist to delete.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if successful.